define Package/ieee1905-topology-plugin
  $(call Package/ieee1905/Default)
  TITLE:=Build full network topology of the 1905 nodes only
  DEPENDS= +libubox +libuci +libubus +libeasy +libnl-genl \
	   +libjson-c +libblobmsg-json +ieee1905 +libieee1905
endef

define Package/ieee1905-topology-plugin/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_DIR) $(1)/usr/lib/ieee1905
	$(CP) $(PKG_BUILD_DIR)/src/extensions/topology/topology.so $(1)/usr/lib/ieee1905/topology.so
endef
